Criar um código QR
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/qr-codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prefilledMessage": "Hi, I need help with my order"
}
'{
"code": "4O4YJHFAB3SLA1",
"prefilled_message": "Hi, I need help with my order",
"deep_link_url": "https://wa.me/message/4O4YJHFAB3SLA1",
"qr_image_url": "https://scontent.whatsapp.net/v/t61.24694-24/qr_4O4YJHFAB3SLA1.svg"
}Códigos QR
Criar um código QR
Criar um código QR. Consulte os parâmetros, o exemplo e as respostas disponíveis para esta operação.
POST
/
meta
/
phone-numbers
/
{phoneNumberId}
/
qr-codes
Criar um código QR
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/qr-codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prefilledMessage": "Hi, I need help with my order"
}
'{
"code": "4O4YJHFAB3SLA1",
"prefilled_message": "Hi, I need help with my order",
"deep_link_url": "https://wa.me/message/4O4YJHFAB3SLA1",
"qr_image_url": "https://scontent.whatsapp.net/v/t61.24694-24/qr_4O4YJHFAB3SLA1.svg"
}Autorizações
Token bearer da Eazybe. O token identifica a organização e deve ser mantido no servidor.
Parâmetros de caminho
ID do número de telefone retornado por GET /meta/phone-numbers.
Corpo
application/json
{
"prefilledMessage": "Hi, I need help with my order"
}
Resposta
200 - application/json
QR code created
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | phoneNumberId not linked to your organization | Verify the id |
400 | prefilledMessage missing or too long | Send a non-empty message |
502 | Graph unreachable or timed out | Retry with backoff |
Esta página foi útil?